image:
  name: gitlab-registry.oit.duke.edu/devil-ops/gitlab-openshift-helper

stages:
  - build
  - tag

.build_image:
  variables:
    STORAGE_DRIVER: vfs
  image: quay.io/buildah/stable
  before_script:
    - DOCKERFILE="Dockerfile-${IMAGE_SLUG}"
  tags:
    - oit-shared-buildah
  stage: build
  script:
    - .ci/build ${DOCKERFILE}

tag_monthly:
  stage: tag
  variables:
    GIT_STRATEGY: none
    CREDS: ${CI_REGISTRY_USER}:${CI_REGISTRY_PASSWORD}
  image: gitlab-registry.oit.duke.edu/duke_openshift_users/community-supported-resources/build-helper:ubuntu18
  rules:
    - if: $schedule == "monthly"
  script:
    - skopeo copy --src-creds ${CREDS} --dest-creds ${CREDS} docker://${CI_REGISTRY_IMAGE}/duke-modshib:fedora-apache-$(date +%Y-%m) docker://${CI_REGISTRY_IMAGE}/duke-modshib:fedora-apache-monthly

build_modshib:
  tags:
    - oit-shared-buildah
  variables:
    IMAGE_SLUG: 'duke-httpd-modshib'
  extends: .build_image

build_shibboleth:
  tags:
    - oit-shared-buildah
  variables:
    IMAGE_SLUG: 'duke-shibboleth'
  extends: .build_image
